diff --git a/web/pgadmin/tools/erd/tests/test_close.py b/web/pgadmin/tools/erd/tests/test_close.py
index ef7291522..e334bf92a 100644
--- a/web/pgadmin/tools/erd/tests/test_close.py
+++ b/web/pgadmin/tools/erd/tests/test_close.py
@@ -7,8 +7,7 @@
 #
 ##########################################################################
 
-import json
-
+import uuid
 from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils import test_utils as utils
 from regression import parent_node_dict
@@ -20,7 +19,7 @@ from pgadmin.browser.server_groups.servers.databases.tests import utils as \
 class ERDClose(BaseTestGenerator):
 
     def setUp(self):
-        self.db_name = "erdtestdb"
+        self.db_name = "erdtestdb_{0}".format(str(uuid.uuid4())[1:8])
         self.sid = parent_node_dict["server"][-1]["server_id"]
         self.did = utils.create_database(self.server, self.db_name)
         self.sgid = config_data["server_group"]
diff --git a/web/pgadmin/tools/erd/tests/test_initialize.py b/web/pgadmin/tools/erd/tests/test_initialize.py
index 323c009e9..bd6eb2c0c 100644
--- a/web/pgadmin/tools/erd/tests/test_initialize.py
+++ b/web/pgadmin/tools/erd/tests/test_initialize.py
@@ -8,7 +8,7 @@
 ##########################################################################
 
 import json
-
+import uuid
 from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils import test_utils as utils
 from regression import parent_node_dict
@@ -20,7 +20,7 @@ from pgadmin.browser.server_groups.servers.databases.tests import utils as \
 class ERDInitialize(BaseTestGenerator):
 
     def setUp(self):
-        self.db_name = "erdtestdb"
+        self.db_name = "erdtestdb_{0}".format(str(uuid.uuid4())[1:8])
         self.sid = parent_node_dict["server"][-1]["server_id"]
         self.did = utils.create_database(self.server, self.db_name)
         self.sgid = config_data["server_group"]
diff --git a/web/pgadmin/tools/erd/tests/test_panel.py b/web/pgadmin/tools/erd/tests/test_panel.py
index f04e432b4..63601cb3d 100644
--- a/web/pgadmin/tools/erd/tests/test_panel.py
+++ b/web/pgadmin/tools/erd/tests/test_panel.py
@@ -7,8 +7,7 @@
 #
 ##########################################################################
 
-import json
-
+import uuid
 from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils import test_utils as utils
 from regression import parent_node_dict
@@ -20,7 +19,7 @@ from pgadmin.browser.server_groups.servers.databases.tests import utils as \
 class ERDPanel(BaseTestGenerator):
 
     def setUp(self):
-        self.db_name = "erdtestdb"
+        self.db_name = "erdtestdb_{0}".format(str(uuid.uuid4())[1:8])
         self.sid = parent_node_dict["server"][-1]["server_id"]
         self.did = utils.create_database(self.server, self.db_name)
         self.sgid = config_data["server_group"]
diff --git a/web/pgadmin/tools/erd/tests/test_prequisite.py b/web/pgadmin/tools/erd/tests/test_prequisite.py
index 3cb922599..926280d41 100644
--- a/web/pgadmin/tools/erd/tests/test_prequisite.py
+++ b/web/pgadmin/tools/erd/tests/test_prequisite.py
@@ -8,7 +8,7 @@
 ##########################################################################
 
 import json
-
+import uuid
 from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils import test_utils as utils
 from regression import parent_node_dict
@@ -20,7 +20,7 @@ from pgadmin.browser.server_groups.servers.databases.tests import utils as \
 class ERDPrequisite(BaseTestGenerator):
 
     def setUp(self):
-        self.db_name = "erdtestdb"
+        self.db_name = "erdtestdb_{0}".format(str(uuid.uuid4())[1:8])
         self.sid = parent_node_dict["server"][-1]["server_id"]
         self.did = utils.create_database(self.server, self.db_name)
         self.sgid = config_data["server_group"]
diff --git a/web/pgadmin/tools/erd/tests/test_sql.py b/web/pgadmin/tools/erd/tests/test_sql.py
index 49e630a78..8240397f3 100644
--- a/web/pgadmin/tools/erd/tests/test_sql.py
+++ b/web/pgadmin/tools/erd/tests/test_sql.py
@@ -8,7 +8,7 @@
 ##########################################################################
 
 import json
-
+import uuid
 from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils import test_utils as utils
 from regression import parent_node_dict
@@ -23,7 +23,7 @@ from os import path
 class ERDSql(BaseTestGenerator):
 
     def setUp(self):
-        self.db_name = "erdtestdb"
+        self.db_name = "erdtestdb_{0}".format(str(uuid.uuid4())[1:8])
         self.sid = parent_node_dict["server"][-1]["server_id"]
         self.did = utils.create_database(self.server, self.db_name)
         self.sgid = config_data["server_group"]
diff --git a/web/pgadmin/tools/erd/tests/test_tables.py b/web/pgadmin/tools/erd/tests/test_tables.py
index 3c5fcf0e7..8c3794eaf 100644
--- a/web/pgadmin/tools/erd/tests/test_tables.py
+++ b/web/pgadmin/tools/erd/tests/test_tables.py
@@ -9,7 +9,6 @@
 
 import json
 import uuid
-
 from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils import test_utils as utils
 from regression import parent_node_dict
@@ -33,7 +32,7 @@ class ERDTables(BaseTestGenerator):
         utils.drop_database(connection, self.db_name)
 
     def setUp(self):
-        self.db_name = "erdtestdb"
+        self.db_name = "erdtestdb_{0}".format(str(uuid.uuid4())[1:8])
         self.sid = parent_node_dict["server"][-1]["server_id"]
         self.did = utils.create_database(self.server, self.db_name)
 
